Xerces-C++: DOMLSInput Class Reference

Xerces-C++ 3.2.2

List of all members
DOMLSInput Class Referenceabstract

This interface represents a single input source for an XML entity. More...

Inheritance diagram for DOMLSInput:

## Public Member Functions
Destructor
virtual | ~DOMLSInput ()
| Destructor. More...
Functions introduced in DOM Level 3
virtual const XMLCh * | getStringData () const =0
| String data to parse. More...
virtual InputSource * | getByteStream () const =0
| Returns the byte stream for this input source. More...
virtual const XMLCh * | getEncoding () const =0
| An input source can be set to force the parser to assume a particular encoding for the data that input source reprsents, via the setEncoding() method. More...
virtual const XMLCh * | getPublicId () const =0
| Get the public identifier for this input source. More...
virtual const XMLCh * | getSystemId () const =0
| Get the system identifier for this input source. More...
virtual const XMLCh * | getBaseURI () const =0
| Get the base URI to be used for resolving relative URIs to absolute URIs. More...
virtual void | setStringData (const XMLCh *data)=0
| Sets the UTF-16 string for this input source. More...
virtual void | setByteStream (InputSource *stream)=0
| Sets the byte stream for this input source. More...
virtual void | setEncoding (const XMLCh *const encodingStr)=0
| Set the encoding which will be required for use with the XML text read via a stream opened by this input source. More...
virtual void | setPublicId (const XMLCh *const publicId)=0
| Set the public identifier for this input source. More...
virtual void | setSystemId (const XMLCh *const systemId)=0
| Set the system identifier for this input source. More...
virtual void | setBaseURI (const XMLCh *const baseURI)=0
| Set the base URI to be used for resolving relative URIs to absolute URIs. More...
Non-standard Extension
virtual void | setIssueFatalErrorIfNotFound (bool flag)=0
| Indicates if the parser should issue fatal error if this input source is not found. More...
virtual bool | getIssueFatalErrorIfNotFound () const =0
| Get the flag that indicates if the parser should issue fatal error if this input source is not found. More...
virtual void | release ()=0
| Called to indicate that this DOMLSInput is no longer in use and that the implementation may relinquish any resources associated with it. More...

## Protected Member Functions
Hidden constructors
| DOMLSInput ()

## Detailed Description

This interface represents a single input source for an XML entity.

This interface allows an application to encapsulate information about an input source in a single object, which may include a public identifier, a system identifier, a byte stream (possibly with a specified encoding), and/or a character stream.

There are two places that the application will deliver this input source to the parser: as the argument to the parse method, or as the return value of the DOMLSResourceResolver.resolveResource method.

The DOMLSParser will use the DOMLSInput object to determine how to read XML input. If there is a character stream available, the parser will read that stream directly; if not, the parser will use a byte stream, if available; if neither a character stream nor a byte stream is available, the parser will attempt to open a URI connection to the resource identified by the system identifier.

A DOMLSInput object belongs to the application: the parser shall never modify it in any way (it may modify a copy if necessary).

See also
  DOMLSParser::parse
  DOMLSResourceResolver::resolveResource

Since
  DOM Level 3

## Constructor & Destructor Documentation

## ◆ DOMLSInput()

DOMLSInput::DOMLSInput | ( |  | ) |
| protected

## ◆ ~DOMLSInput()

virtual DOMLSInput::~DOMLSInput | ( |  | ) |
| virtual

Destructor.

References XERCES_CPP_NAMESPACE_END.

## Member Function Documentation

## ◆ getBaseURI()

virtual const XMLCh* DOMLSInput::getBaseURI | ( |  | ) | const
| pure virtual

Get the base URI to be used for resolving relative URIs to absolute URIs.

If the baseURI is itself a relative URI, the behavior is implementation dependent.

Returns
  The base URI.

See also
  setBaseURI

Since
  DOM Level 3

Implemented in Wrapper4InputSource.

## ◆ getByteStream()

virtual InputSource* DOMLSInput::getByteStream | ( |  | ) | const
| pure virtual

Returns the byte stream for this input source.

See also
  InputSource

Implemented in Wrapper4InputSource.

## ◆ getEncoding()

virtual const XMLCh* DOMLSInput::getEncoding | ( |  | ) | const
| pure virtual

An input source can be set to force the parser to assume a particular encoding for the data that input source reprsents, via the setEncoding() method.

This method returns name of the encoding that is to be forced. If the encoding has never been forced, it returns a null pointer.

Returns
  The forced encoding, or null if none was supplied.

See also
  setEncoding

Since
  DOM Level 3

Implemented in Wrapper4InputSource.

## ◆ getIssueFatalErrorIfNotFound()

virtual bool DOMLSInput::getIssueFatalErrorIfNotFound | ( |  | ) | const
| pure virtual

Get the flag that indicates if the parser should issue fatal error if this input source is not found.

Returns
  True if the parser should issue fatal error if this input source is not found. False if the parser issue warning message instead.

See also
  setIssueFatalErrorIfNotFound

Implemented in Wrapper4InputSource.

## ◆ getPublicId()

virtual const XMLCh* DOMLSInput::getPublicId | ( |  | ) | const
| pure virtual

Get the public identifier for this input source.

Returns
  The public identifier, or null if none was supplied.

See also
  setPublicId

Since
  DOM Level 3

Implemented in Wrapper4InputSource.

## ◆ getStringData()

virtual const XMLCh* DOMLSInput::getStringData | ( |  | ) | const
| pure virtual

String data to parse.

If provided, this will always be treated as a sequence of 16-bit units (UTF-16 encoded characters). It is not a requirement to have an XML declaration when using stringData. If an XML declaration is present, the value of the encoding attribute will be ignored.

Implemented in Wrapper4InputSource.

## ◆ getSystemId()

virtual const XMLCh* DOMLSInput::getSystemId | ( |  | ) | const
| pure virtual

Get the system identifier for this input source.

If the system ID is a URL, it will be fully resolved.

Returns
  The system identifier.

See also
  setSystemId

Since
  DOM Level 3

Implemented in Wrapper4InputSource.

## ◆ release()

virtual void DOMLSInput::release | ( |  | ) |
| pure virtual

Called to indicate that this DOMLSInput is no longer in use and that the implementation may relinquish any resources associated with it.

Access to a released object will lead to unexpected result.

Implemented in Wrapper4InputSource.

## ◆ setBaseURI()

virtual void DOMLSInput::setBaseURI | ( | const XMLCh *const | baseURI | ) |
| pure virtual

Set the base URI to be used for resolving relative URIs to absolute URIs.

If the baseURI is itself a relative URI, the behavior is implementation dependent.

Parameters

  baseURI | The base URI.

See also
  getBaseURI

Since
  DOM Level 3

Implemented in Wrapper4InputSource.

## ◆ setByteStream()

virtual void DOMLSInput::setByteStream | ( | InputSource * | stream | ) |
| pure virtual

Sets the byte stream for this input source.

See also
  BinInputStream

Implemented in Wrapper4InputSource.

## ◆ setEncoding()

virtual void DOMLSInput::setEncoding | ( | const XMLCh *const | encodingStr | ) |
| pure virtual

Set the encoding which will be required for use with the XML text read via a stream opened by this input source.

This is usually not set, allowing the encoding to be sensed in the usual XML way. However, in some cases, the encoding in the file is known to be incorrect because of intermediate transcoding, for instance encapsulation within a MIME document.

Parameters

  encodingStr | The name of the encoding to force.

Since
  DOM Level 3

Implemented in Wrapper4InputSource.

## ◆ setIssueFatalErrorIfNotFound()

virtual void DOMLSInput::setIssueFatalErrorIfNotFound | ( | bool | flag | ) |
| pure virtual

Indicates if the parser should issue fatal error if this input source is not found.

If set to false, the parser issue warning message instead.

Parameters

  flag | True if the parser should issue fatal error if this input source is not found. If set to false, the parser issue warning message instead. (Default: true)

See also
  getIssueFatalErrorIfNotFound

Implemented in Wrapper4InputSource.

## ◆ setPublicId()

virtual void DOMLSInput::setPublicId | ( | const XMLCh *const | publicId | ) |
| pure virtual

Set the public identifier for this input source.

The public identifier is always optional: if the application writer includes one, it will be provided as part of the location information.

Parameters

  publicId | The public identifier as a string.

See also
  getPublicId

Since
  DOM Level 3

Implemented in Wrapper4InputSource.

## ◆ setStringData()

virtual void DOMLSInput::setStringData | ( | const XMLCh * | data | ) |
| pure virtual

Sets the UTF-16 string for this input source.

Implemented in Wrapper4InputSource.

## ◆ setSystemId()

virtual void DOMLSInput::setSystemId | ( | const XMLCh *const | systemId | ) |
| pure virtual

Set the system identifier for this input source.

The system id is always required. The public id may be used to map to another system id, but the system id must always be present as a fall back.

If the system ID is a URL, it must be fully resolved.

Parameters

  systemId | The system identifier as a string.

See also
  getSystemId

Since
  DOM Level 3

Implemented in Wrapper4InputSource.

The documentation for this class was generated from the following file:

- DOMLSInput.hpp